<?php

if ( ! defined( 'ABSPATH' ) ) exit;

add_action( 'add_meta_boxes', 'current_project_add_metabox' );
function current_project_add_metabox(){
    
    // Add A New Current Project Block
    add_meta_box(
        'current_project add_new_list_block', // $id
        'Add A New Current Project', // $title
        'current_project_metabox_blocks', // $callback
        'current_project', // $screen
        'normal', //$context
        'high', // $priority
        '' // $callback_args
    );
    
    // Add Project Links Block
    add_meta_box(
        'current_project add_links_block', // $id
        'Add Project Links', // $title
        'current_project_links_blocks', // $callback
        'current_project', // $screen
        'normal', //$context
        'high', // $priority
        '' // $callback_args
    );    
    
    // Remove Thumbnail Block
	remove_meta_box('postimagediv', 'home-page-banners', 'side');
	remove_meta_box('postimagediv', 'current_project', 'side');
	
	// Add Thumbnail Block
	add_meta_box(
	    'postimagediv',
	    'Add a New Project Image',
	    'post_thumbnail_meta_box',
	    'current_project',
	    'normal',
	    'high'
    );
	
	// Add Thumbnail Upload Block
	add_meta_box(
	    'postimagediv',
	    'Add a New Project Image',
	    'post_thumbnail_meta_box',
	    'home-page-banners',
	    'normal',
	    'high'
    );
    
}


function current_project_metabox_blocks($post){
    
    // Genre
    $current_project_class = get_post_meta( $post->ID, 'current_project_metabox_block', true);
    
    // Status
    $current_project_class1 = get_post_meta( $post->ID, 'current_project_metabox_block1', true);
    
    // Role
    $current_project_class2 = esc_html( get_post_meta( $post->ID, 'current_project_class2', true ) );
    
    // Synopsis
    $current_project_class3 = esc_html( get_post_meta( $post->ID, 'current_project_class3', true ) );
    
    
    // When
    /// Month
    $current_project_class4 = get_post_meta( $post->ID, 'current_project_metabox_block2', true);
    
    /// Day
    $current_project_class5 = get_post_meta( $post->ID, 'current_project_class5', true);
    
    /// Year
    $current_project_class6 = get_post_meta( $post->ID, 'current_project_class6', true);
    ?>   
    
    <div class="current_project add_new">
        <div class="current_project add_new_inside">
            <div class="current_project add_new_row">
                <div class="current_project add_new_cell">
                    <label for="current-project add_new_label">Genre:</label>
                    <span style="color:  red;font-weight:  bold;">*</span>
                </div>
            
                <div class="current_project add_new_cell">
                    <select name="current_project_select" id="current_project_select" required>
                        <option value="Choose..." selected="true" disabled="disabled">Choose...</option>
                        <option value="Movie" <?php selected( $current_project_class, 'Movie' ); ?>>Movie</option>
                        <option value="Short Movie" <?php selected( $current_project_class, 'Short Movie' ); ?>>Short Movie</option>
                        <option value="TV Show" <?php selected( $current_project_class, 'TV Show' ); ?>>TV Show</option>
                        <option value="Commercial" <?php selected( $current_project_class, 'Commercial' ); ?>>Commercial</option>
                        <option value="Album" <?php selected( $current_project_class, 'Album' ); ?>>Album</option>
                        <option value="Single" <?php selected( $current_project_class, 'Single' ); ?>>Single</option>
                        <option value="Music Video" <?php selected( $current_project_class, 'Music Video' ); ?>>Music Video</option>
                    </select>
                                       
                </div>
            </div>
            
            <div class="current_project add_new_row">
                <div class="current_project add_new_cell">
                    <label for="current-project add_new_label">Status:</label>
                    <span style="color:  red;font-weight:  bold;">*</span>
                </div>
            
                <div class="current_project add_new_cell">
                    <select name="current_project_select1" id="current_project_select1" required>
                        <option value="Choose..." selected="true" disabled="disabled">Choose...</option>
                        <option value="Announced" <?php selected( $current_project_class1, 'Announced' ); ?>>Announced</option>
                        <option value="In Process" <?php selected( $current_project_class1, 'In Process' ); ?>>In Process</option>
                        <option value="Completed" <?php selected( $current_project_class1, 'Completed' ); ?>>Completed</option>
                        <option value="Post-Production" <?php selected( $current_project_class1, 'Post-Production' ); ?>>Post-Production</option>
                        <option value="To Be Released" <?php selected( $current_project_class1, 'To Be Released' ); ?>>To Be Released</option>
                        <option value="Released" <?php selected( $current_project_class1, 'Released' ); ?>>Released</option>
                    </select> 
                </div>
            </div>
            
            <div class="current_project add_new_row">
                <div class="current_project add_new_cell">
                    <label for="current-project-class2">Role:</label>
                </div>
            
                <div class="current_project add_new_cell">
                    <input type="text" name="current-project-class2" id="current-project-class2" placeholder="Name of a character (in case you have chosen a genre 'Movie', 'TV Show' or 'Short Movie')" value="<?php echo $current_project_class2; ?>" />
                </div>
            </div>
            
            <div class="current_project add_new_row">
                <div class="current_project add_new_cell">
                    <label for="current-project-class3">Description:</label>
                </div>
            
                <div class="current_project add_new_cell">
                    <textarea cols="60" rows="4" placeholder="Say something about this project..." name="current-project-class3" id="current-project-class3"><?php echo $current_project_class3; ?></textarea>
                </div>
            </div>
            
            <div class="current_project add_new_row">
                <div class="current_project add_new_cell">
                    <label for="current-project-class4">When:</label>
                </div>
            
                <div class="current_project add_new_cell">
                    <select name="current_project_select2" id="current_project_select2">
                        <option value="Choose..." selected="true" disabled="disabled">Choose...</option>
                        <option value="January" <?php selected( $current_project_class4, 'January' ); ?>>January</option>
                        <option value="February" <?php selected( $current_project_class4, 'February' ); ?>>February</option>
                        <option value="March" <?php selected( $current_project_class4, 'March' ); ?>>March</option>
                        <option value="April" <?php selected( $current_project_class4, 'April' ); ?>>April</option>
                        <option value="May" <?php selected( $current_project_class4, 'May' ); ?>>May</option>
                        <option value="June" <?php selected( $current_project_class4, 'June' ); ?>>June</option>
                        <option value="July" <?php selected( $current_project_class4, 'July' ); ?>>July</option>
                        <option value="August" <?php selected( $current_project_class4, 'August' ); ?>>August</option>
                        <option value="September" <?php selected( $current_project_class4, 'September' ); ?>>September</option>
                        <option value="October" <?php selected( $current_project_class4, 'October' ); ?>>October</option>
                        <option value="November" <?php selected( $current_project_class4, 'November' ); ?>>November</option>
                        <option value="December" <?php selected( $current_project_class4, 'December' ); ?>>December</option>
                    </select>
                    
                    <input type="year" name="current-project-class5" id="current-project-class5" placeholder="??" minlength="2" maxlength="2" size="2" value="<?php echo $current_project_class5; ?>" />
                    
                    <input type="year" name="current-project-class6" id="current-project-class6" placeholder="????" minlength="4" maxlength="4" size="4" value="<?php echo $current_project_class6; ?>" />
                </div>
            </div>
            
            <div class="current_project add_new_row">
                <div class="current_project add_new_cell">
                    <span style="color:  red;font-weight:  bold;">*</span>
                </div>
            
                <div class="current_project add_new_cell">
                    <span>This field is required</span>
                </div>
            </div>
        </div>
    </div>
    
    <?php
}

add_action('save_post', 'current_project_metabox_save');
function current_project_metabox_save($post){ 
    global $post;
    
    if ( $post->post_type == 'current_project' ) {
        
        if(isset($_POST["current_project_select"])){
            $current_project_class = $_POST['current_project_select'];
            update_post_meta( $post->ID, 'current_project_metabox_block', $current_project_class);
        }
    
        if(isset($_POST["current_project_select1"])){
            $current_project_class1 = $_POST['current_project_select1'];
            update_post_meta( $post->ID, 'current_project_metabox_block1', $current_project_class1);
        }
    
        if(isset($_POST["current_project_select2"])){
            $current_project_class4 = $_POST['current_project_select2'];
            update_post_meta( $post->ID, 'current_project_metabox_block2', $current_project_class4);
        }
    
		if( isset( $_POST['current-project-class2'] ) ) {
		    $current_project_class2 = $_POST['current-project-class2'];
            update_post_meta( $post->ID, 'current_project_class2', $current_project_class2 );
        }
        
        if( isset( $_POST['current-project-class3'] ) ) {
            $current_project_class3 = $_POST['current-project-class3'];
            update_post_meta( $post->ID, 'current_project_class3', $current_project_class3 );
        }
        
        if( isset( $_POST['current-project-class5'] ) ) {
            $current_project_class5 = $_POST['current-project-class5'];
            update_post_meta( $post->ID, 'current_project_class5', $current_project_class5 );
        }
    
        if( isset( $_POST['current-project-class6'] ) ) {
            $current_project_class6 = $_POST['current-project-class6'];
            update_post_meta( $post->ID, 'current_project_class6', $current_project_class6 );
        }        
    }
}



function current_project_links_blocks() {
    $current_project_link1 = esc_html( get_post_meta( get_the_ID(), 'current_project_link1', true ) );
    $current_project_link2 = esc_html( get_post_meta( get_the_ID(), 'current_project_link2', true ) );
    $current_project_link3 = esc_html( get_post_meta( get_the_ID(), 'current_project_link3', true ) );
    $current_project_link4 = esc_html( get_post_meta( get_the_ID(), 'current_project_link4', true ) );
    $current_project_link5 = esc_html( get_post_meta( get_the_ID(), 'current_project_link5', true ) );
    $current_project_link6 = esc_html( get_post_meta( get_the_ID(), 'current_project_link6', true ) );
    ?>
    
        <div class="current_project add_new">
            <div class="current_project add_new_inside">
                <div class="current_project add_new_row">
                    <div class="current_project add_new_cell">
                        <label for="current-project add_new_label">Official Site:</label>
                    </div>
            
                    <div class="current_project add_new_cell">
                        <input type="text" name="current-project-link1" id="current-project-link1" value="<?php echo $current_project_link1; ?>" />               
                    </div>
                </div>
                
                <div class="current_project add_new_row">
                    <div class="current_project add_new_cell">
                        <label for="current-project add_new_label">Trailer:</label>
                    </div>
            
                    <div class="current_project add_new_cell">
                        <input type="text" name="current-project-link2" id="current-project-link2" value="<?php echo $current_project_link2; ?>" />               
                    </div>
                </div>
                
                <div class="current_project add_new_row">
                    <div class="current_project add_new_cell">
                        <label for="current-project add_new_label">IMDb:</label>
                    </div>
            
                    <div class="current_project add_new_cell">
                        <input type="text" name="current-project-link3" id="current-project-link3" value="<?php echo $current_project_link3; ?>" />               
                    </div>
                </div>
                
                <div class="current_project add_new_row">
                    <div class="current_project add_new_cell">
                        <label for="current-project add_new_label">Photos:</label>
                    </div>
            
                    <div class="current_project add_new_cell">
                        <input type="text" name="current-project-link4" id="current-project-link4" value="<?php echo $current_project_link4; ?>" />               
                    </div>
                </div>
                
                <div class="current_project add_new_row">
                    <div class="current_project add_new_cell">
                        <label for="current-project add_new_label">Watch:</label>
                    </div>
            
                    <div class="current_project add_new_cell">
                        <input type="text" name="current-project-link5" id="current-project-link5" value="<?php echo $current_project_link5; ?>" />               
                    </div>
                </div>
                
                <div class="current_project add_new_row">
                    <div class="current_project add_new_cell">
                        <label for="current-project add_new_label">Purchase:</label>
                    </div>
            
                    <div class="current_project add_new_cell">
                        <input type="text" name="current-project-link6" id="current-project-link6" value="<?php echo $current_project_link6; ?>" />               
                    </div>
                </div>
            </div>
        </div>
    <?php
}

add_action('save_post', 'current_project_links_save');
function current_project_links_save($post) {
    global $post;

    if ( $post->post_type == 'current_project' ) {
        
		if( isset( $_POST['current-project-link1'] ) ) {
		    $current_project_link1 = $_POST['current-project-link1'];
            update_post_meta( $post->ID, 'current_project_link1', $current_project_link1 );
        }
        
        if( isset( $_POST['current-project-link2'] ) ) {
            $current_project_link2 = $_POST['current-project-link2'];
            update_post_meta( $post->ID, 'current_project_link2', $current_project_link2 );
        }
        
        if( isset( $_POST['current-project-link3'] ) ) {
            $current_project_link3 = $_POST['current-project-link3'];
            update_post_meta( $post->ID, 'current_project_link3', $current_project_link3 );
        }
        
        if( isset( $_POST['current-project-link4'] ) ) {
            $current_project_link4 = $_POST['current-project-link4'];
            update_post_meta( $post->ID, 'current_project_link4', $current_project_link4 );
        }
        
        if( isset( $_POST['current-project-link5'] ) ) {
            $current_project_link5 = $_POST['current-project-link5'];
            update_post_meta( $post->ID, 'current_project_link5', $current_project_link5 );
        }
        
        if( isset( $_POST['current-project-link6'] ) ) {
            $current_project_link6 = $_POST['current-project-link6'];
            update_post_meta( $post->ID, 'current_project_link6', $current_project_link6 );
        }
    }
}
?>