<?php

// Exit if accessed directly.
if ( ! defined( 'ABSPATH' ) ) exit;

function current_project_register_post_types(){
	register_post_type('current_project', array(
		'label'  => null,
		'labels' => array(
		    'name'                  => 'Current Projects',
		    'singular_name'         => 'Current Project',
		    'add_new'       		=> 'Add New',
		    'add_new_item'          => 'Add New',
		    'edit_item'             => 'Editing Your Current Project',
		    'new_item'              => 'New Project',
		    'view_item'             => 'View',
		    'view_items'            => 'View All Projects',
    		'search_items'          => 'Search',
		    'not_found'             => 'Nothing found...',
		    'not_found_in_trash'    => 'Nothing found in the Trash...',
		    'archives'				=> 'Archives',
		    'attributes' 			=> 'Current Project Attributes',
		    'insert_into_item'		=> 'Insert into',
		    'uploaded_to_this_item'	=> 'Uploaded to this Project',
		    'featured_image'        => 'Project Image',
		    'set_featured_image'    => 'Choose A Project Image',
		    'remove_featured_image' => 'Remove',
		    'use_featured_image'    => 'Choose',
		
		    'all_items'           => 'Projects',
		),
	    'menu_name'           => 'Current Projects',
		'public'              => true,
		'exclude_from_search' => true,
		'publicly_queryable'  => false,
		'show_in_nav_menus'   => false,
		'show_in_admin_bar'   => false,
		'menu_icon'           => 'dashicons-admin-media',
		'supports'            => array( 'title', 'thumbnail', 'page-attributes' ),
		'rewrite'             => false,
	) );
    
    
    add_filter('manage_edit-current_project_columns', 'current_project_posts_columns', 5);
    add_filter('manage_edit-current_project_columns', 'current_project_posts_columns1', 5);
    add_filter('manage_edit-current_project_columns', 'current_project_posts_columns2', 5);
    add_filter('manage_edit-current_project_columns', 'current_project_posts_columns3', 5);
    add_filter('manage_edit-current_project_columns', 'current_project_posts_columns4', 5);
    
    function current_project_posts_columns($defaults){$defaults['thumb'] = __('Thumb');return $defaults;}
    
    function current_project_posts_columns1($defaults1){$defaults1['genre'] = __('Type');return $defaults1;}

    function current_project_posts_columns2($defaults2){$defaults2['status'] = __('Status');return $defaults2;}
    
    function current_project_posts_columns3($defaults3){$defaults3['role'] = __('Role');return $defaults3;}
    
    function current_project_posts_columns4($defaults4){$defaults4['when'] = __('When');return $defaults4;}
    
    
    
    add_action('manage_posts_custom_column', 'current_project_posts_custom_columns', 5, 2);
    
    function current_project_posts_custom_columns($column_name){
        if($column_name === 'genre' ){
            echo '<div class="block">';
            echo $current_project_class = esc_html( get_post_meta( get_the_ID(), 'current_project_metabox_block', true ) );
            echo '</div>';
        }
        
        if($column_name === 'status' ){
            echo '<div class="block">';
            echo $current_project_class1 = esc_html( get_post_meta( get_the_ID(), 'current_project_metabox_block1', true ) );
            echo '</div>';
        }
        
        if($column_name === 'role' ){
            echo '<div class="block">';
            echo $current_project_class2 = esc_textarea( get_post_meta( get_the_ID(), 'current_project_class2', true ) );
            echo '</div>';
        }
        
        if($column_name === 'when' ){
            echo '<div class="block">';
            echo $current_project_class4 = esc_textarea( get_post_meta( get_the_ID(), 'current_project_metabox_block2', true) );
            echo ' ';
            echo $current_project_class5 = esc_textarea( get_post_meta( get_the_ID(), 'current_project_class5', true) );
            echo ' ';
            echo $current_project_class6 = esc_textarea( get_post_meta( get_the_ID(), 'current_project_class6', true) );
            echo '</div>';
        }
        
        if($column_name === 'thumb' ){
            echo '<center>';            
            echo '<div class="thumb_column_block">';
            echo the_post_thumbnail( 'ed_current_project');
            echo '</div>';
            echo '</center>';
        }
    }
    
    
    
    
    
    add_filter( 'manage_edit-current_project_columns', 'current_project_remove_pages_columns' );
    function current_project_remove_pages_columns( $columns ) {
        unset(
            $columns['date'],
            $columns['author']
        );
    return $columns;
    }
    
}
add_action( 'init', 'current_project_register_post_types', 5, 2);