<?php

if ( ! defined( 'ABSPATH' ) ) exit;

function current_project_register_widget() { register_widget( 'current_project_widget' ); }
add_action( 'widgets_init', 'current_project_register_widget' );

// PHP IN WIDGETS (START)
function current_project_widget_php($widget_content) {if (strpos($widget_content, '<' . '?') !== false) {ob_start();eval('?' . '>' . $widget_content);$widget_content = ob_get_contents();ob_end_clean();}return $widget_content;}
add_filter('widget_text', 'current_project_widget_php', 99);
// PHP IN WIDGETS (END)



class current_project_widget extends WP_Widget {
    function __construct() {
        parent::__construct(
            'current_project_widget', __('Estrella Design: Current Projects', 'ed_current_projects'), 
            array( 
                'description' => __( 'Add current projects to your site', 'ed_current_projects' ), 
            )
        );
    }

    public function update( $new_instance, $old_instance ) {
        $instance = array();

        $instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : 'Current Projects';

        return $instance;
    }

    public function form( $instance ) {
        $title = isset( $instance['title'] ) ? esc_attr( $instance['title'] ) : '';
        
        ?>
        
        <p id="cpm_title">
            <label for="<?php echo $this->get_field_id( 'title' ); ?>">
                <?php echo __( 'Title:', 'ed_current_projects'); ?>
            </label>
            
            <input class="widefat" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" type="text" value="<?php echo $title; ?>" />
        </p>
        
        <p id="cpmfetch_contact">
            <span style="text-align:right;font-size:9px;display:block;">
                Having troubles? Please, contact <a href="https://estrelladesign.tk/">the plugin creator</a> to get help.
            </span>
        </p>    
        
        <?php }
        
    public function widget( $args, $instance ) {

        $title = apply_filters( 'widget_title', $instance['title'] );
        echo $args['before_widget'];
        
        if ( ! empty( $title ) )
        echo $args['before_title'] . $title . $args['after_title'];

        function current_projects_blocks($current_project_args) {
            $current_project_args = array(
		        'post_type' => 'current_project',
		        'posts_per_page' => '',
		        'orderby' => 'menu_order'
		    );
		    
		    $query = new WP_query ( $current_project_args );
	        if ( $query->have_posts() ) {
                while ( $query->have_posts() ) : $query->the_post();
		            // Functions
                    $current_project_class = esc_html( get_post_meta( get_the_ID(), 'current_project_metabox_block', true ) );
                    $current_project_class1 = esc_html( get_post_meta( get_the_ID(), 'current_project_metabox_block1', true ) );
                    $current_project_class2 = esc_textarea( get_post_meta( get_the_ID(), 'current_project_class2', true ) );
                    $current_project_class3 = esc_textarea( get_post_meta( get_the_ID(), 'current_project_class3', true ) );
                    $current_project_class4 = esc_textarea( get_post_meta( get_the_ID(), 'current_project_metabox_block2', true) );
                    $current_project_class5 = esc_textarea( get_post_meta( get_the_ID(), 'current_project_class5', true) );
                    $current_project_class6 = esc_textarea( get_post_meta( get_the_ID(), 'current_project_class6', true) );
                    
                    $current_project_link1 = esc_html( get_post_meta( get_the_ID(), 'current_project_link1', true ) );
                    $current_project_link2 = esc_html( get_post_meta( get_the_ID(), 'current_project_link2', true ) );
                    $current_project_link3 = esc_html( get_post_meta( get_the_ID(), 'current_project_link3', true ) );
                    $current_project_link4 = esc_html( get_post_meta( get_the_ID(), 'current_project_link4', true ) );
                    $current_project_link5 = esc_html( get_post_meta( get_the_ID(), 'current_project_link5', true ) );
                    $current_project_link6 = esc_html( get_post_meta( get_the_ID(), 'current_project_link6', true ) );
                    ?>
		            
		            
		            <div class="current_projects_block">
		                <div class="current_projects_block_table">
                            <div class="current_projects_block_row">
		                        <div class="current_projects_image">
		                            <div class="current_projects_image_inside">
		                                <?php if ( has_post_thumbnail() ) : ?>
                                            <?php the_post_thumbnail( 'ed_current_project' ); ?>
                                        <?php else : ?>
                                            <span class="no_image_table">
                                                <span class="no_image_cell">NO PHOTO</span>
                                            </span>
                                        <?php endif; ?>
                                    </div>
                                </div>
                    
                                <div class="current_projects_content">
                                    <div class="current_projects_title">
                                        <?php the_title(); ?>
                                    </div>
            
                                    <div class="current_projects_info">
                                        <?php if ( !empty ($current_project_class) ) : ?>
                                        <div class="current_projects_info_block">
                                            <span class="current_projects_info_one">Genre:</span>
                                        
                                            <span class="current_projects_info_two"><?php echo $current_project_class; ?></span>
                                        </div>
                                        <?php endif; ?>
                                    
                                        <?php if ( !empty ($current_project_class1) ) : ?>
                                        <div class="current_projects_info_block">
                                            <span class="current_projects_info_one">Status:</span>
                                        
                                            <span class="current_projects_info_two"><?php echo $current_project_class1; ?></span>
                                        </div>
                                        <?php endif; ?>
                            
                                        <?php if ( !empty ($current_project_class2) ) : ?>
                                            <div class="current_projects_info_block">
                                                <span class="current_projects_info_one">Role:</span>
                                                <span class="current_projects_info_two"><?php echo $current_project_class2; ?></span>
                                            </div>
                                            <?php endif; ?>
                            
                                            <div class="current_projects_info_block">
                                                <span class="current_projects_info_one">When:</span>
                                                <span class="current_projects_info_two"><?php if ($current_project_class4 != "") {echo $current_project_class4; } ?>, <?php if ($current_project_class5 != "") {echo $current_project_class5; } ?> <?php if ($current_project_class6 != "") {echo $current_project_class6; } ?></span>
                                            </div>
                                    </div>
                                    
                                    <?php if ( !empty ($current_project_class3) ) : ?>
                                    <div class="current_projects_desc">
                                        <div class="current_projects_desc_inside">
                                            <span><?php echo $current_project_class3; ?></span>
                                        </div>
                                    </div>
                                    <?php endif; ?>
                            
                                    <div class="current_projects_block_links">
                                        <?php if ( !empty ($current_project_link1) ) : ?>
                                        <a class="current_projects_block_link" href="<?php echo $current_project_link1; ?>" target="_blank" alt="Official Site" title="Official Site">Official Site</a>
                                        <?php endif; ?>
                            
                                        <?php if ( !empty ($current_project_link2) ) : ?>
                                        <a class="current_projects_block_link" href="<?php echo $current_project_link2; ?>" target="_blank" alt="Trailer" title="Trailer">Trailer</a>
                                        <?php endif; ?>
                            
                                        <?php if ( !empty ($current_project_link3) ) : ?>
                                        <a class="current_projects_block_link" href="<?php echo $current_project_link3; ?>" target="_blank" alt="IMDb" title="IMDb">IMDb</a>
                                        <?php endif; ?>
                            
                                        <?php if ( !empty ($current_project_link4) ) : ?>
                                        <a class="current_projects_block_link" href="<?php echo $current_project_link4; ?>" target="_blank" alt="Photos" title="Photos">Photos</a>
                                        <?php endif; ?>
                            
                                        <?php if ( !empty ($current_project_link5) ) : ?>
                                        <a class="current_projects_block_link" href="<?php echo $current_project_link5; ?>" target="_blank" alt="Watch" title="Watch">Watch</a>
                                        <?php endif; ?>
                            
                                        <?php if ( !empty ($current_project_link6) ) : ?>
                                        <a class="current_projects_block_link" href="<?php echo $current_project_link6; ?>" target="_blank" alt="Purchase" title="Purchase">Purchase</a>
                                        <?php endif; ?>
                                    </div>
                            </div>
                        </div>
                    </div>
                    </div>
                    <?php endwhile; rewind_posts();
	        }
	        
	        else {
	            echo '<div class="current_projects_block_nothing"><span>No current projects...</span></div>';
	            echo '<span class="hidden_span" style="display:none;">Current Projects Plugin by <a href="https://estrelladesign.tk">Estrella Design</a></span>';
	        }
        }
        
        current_projects_blocks($current_project);

        echo $args['after_widget'];
    }  

    }


    
?>