<?php
/*
Plugin Name: Current Projects by Estrella Design
Plugin URI: https://estrelladesign.tk/
Description: This plugin lets you add current projects of your site
Author URI: https://estrelladesign.tk/
Author: Estrella Design
Version: 1.1
Tags: wordpress, coppermine, sites, widget, sidebar
Tested up to: 5.2.3
Text Domain: current-projects
License: GPL version 2 or later - http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
*/

if ( ! defined( 'ABSPATH' ) ) exit;

if ( ! defined( 'CURRENTPROJECT_VERSION' ) ) {
	define( 'CURRENTPROJECT_VERSION', '1.0' );
}
if ( ! defined( 'CURRENTPROJECT_PLUGIN_DIR' ) ) {
	define( 'CURRENTPROJECT_PLUGIN_DIR', plugin_dir_path( __FILE__ ) );
}

if ( ! defined( 'CURRENTPROJECT_PLUGIN_URL' ) ) {
	define( 'CURRENTPROJECT_PLUGIN_URL', plugin_dir_url( __FILE__ ) );
}

if ( ! defined( 'CURRENTPROJECT_PLUGIN_FILE' ) ) {
	define( 'CURRENTPROJECT_PLUGIN_FILE', __FILE__ );
}

// FILES
require_once CURRENTPROJECT_PLUGIN_DIR . 'current-projects-custom-type.php';
require_once CURRENTPROJECT_PLUGIN_DIR . 'current-projects-add-new-post.php';
require_once CURRENTPROJECT_PLUGIN_DIR . 'current-projects-widget.php';


// CSS: ADMIN
wp_register_style( 'current-projects-admin', CURRENTPROJECT_PLUGIN_URL . 'css/admin_style.css', '', null, $media  );
wp_enqueue_style( 'current-projects-admin' );


// CSS: CONTENT
wp_register_style( 'current-projects-content', CURRENTPROJECT_PLUGIN_URL . 'css/content_style.css', '', null, $media  );
wp_enqueue_style( 'current-projects-content' );


// THUMBNAIL
add_image_size( 'ed_current_project', 320, 185, true );